package com.tsi.api.server.mybatis;

import com.tsi.api.server.mybatis.vo.AlarmConfigVo;
import com.tsi.api.server.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TscSsipAppMapper {

    List<NodeStatusVo> getNodeStatusList();
    NaviAuthorizedVo getDeviceAuthorizedInfo(@Param("apiId") String apiId, @Param("deviceId") String deviceId);
    List<VersionVo> getVersion();
    int registerDevice(DeviceInfo deviceInfo);
    int insertInvokeHs(ApiInvokeVo voInvoke);

    List<AlarmConfigVo> getAlarmConfig();
}
